package com.qmth.sop.business.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.sop.business.bean.result.TBQualityProblemApplyResult;
import com.qmth.sop.business.entity.TBQualityProblemApply;
import com.qmth.sop.business.entity.TBService;
import com.qmth.sop.business.mapper.QualityAnalyseMapper;
import com.qmth.sop.business.service.QualityAnalyseService;
import com.qmth.sop.common.enums.InfluenceDegreeEnum;
import com.qmth.sop.common.enums.QualityAnalyseGroupEnum;
import com.qmth.sop.common.enums.QualityProblemReasonEnum;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

@Service
public class QualityAnalyseServiceImpl extends ServiceImpl<QualityAnalyseMapper, TBQualityProblemApply> implements QualityAnalyseService {


    @Override
    public List<TBService> list(Long startTime,Long endTime) {
        return this.baseMapper.list(startTime,endTime);
    }


    @Override
    public Double progress(Long serviceUnitId) {
        return this.baseMapper.progress(serviceUnitId);
    }

    @Override
    public Map<String, Map<String, Object>> influence(Long serviceUnitId, QualityAnalyseGroupEnum group) {
        List<Map<String, Object>> influence = this.baseMapper.influence(serviceUnitId);
        Map<String, Map<String, Object>> result = new HashMap<>();
        if (group.equals(QualityAnalyseGroupEnum.INFLUENCE_REGION)) {
            influence.stream().collect(Collectors.groupingBy(map -> map.get("region_name"))).forEach((k, v) -> {
                Map<String, Object> map = new HashMap<>();
                v.stream().collect(Collectors.groupingBy(map1 -> map1.get("Influence_degree"))).forEach((k1, v1) -> map.put(k1.toString(), v1.size()));
                result.put(k.toString(), map);
            });
        } else if (group.equals(QualityAnalyseGroupEnum.INFLUENCE_SUPPLIER)) {
            influence.stream().collect(Collectors.groupingBy(map -> map.get("Influence_degree"))).forEach((k, v) -> {
                Map<String, Object> map = new HashMap<>();
                v.stream().collect(Collectors.groupingBy(map1 -> map1.get("supplier"))).forEach((k1, v1) -> map.put(k1.toString(), v1.size()));
                result.put(k.toString(), map);
            });
        } else if (group.equals(QualityAnalyseGroupEnum.REASON_REGION)) {
            influence.stream().collect(Collectors.groupingBy(map -> map.get("region_name"))).forEach((k, v) -> {
                Map<String, Object> map = new HashMap<>();
                v.stream().collect(Collectors.groupingBy(map1 -> map1.get("reason"))).forEach((k1, v1) -> map.put(k1.toString(), v1.size()));
                result.put(k.toString(), map);
            });
        } else if (group.equals(QualityAnalyseGroupEnum.REASON_SUPPLIER)) {
            influence.stream().collect(Collectors.groupingBy(map -> map.get("reason"))).forEach((k, v) -> {
                Map<String, Object> map = new HashMap<>();
                v.stream().collect(Collectors.groupingBy(map1 -> map1.get("supplier"))).forEach((k1, v1) -> map.put(k1.toString(), v1.size()));
                result.put(k.toString(), map);
            });
        }
        return result;
    }


    @Override
    public Map<String, Object> pie(Long serviceUnitId, Long supplierId) {
        return this.baseMapper.pie(serviceUnitId, supplierId);
    }

    @Override
    public Map<String, Object> radar(Long serviceUnitId, Long supplierId) {
        return this.baseMapper.radar(serviceUnitId, supplierId);
    }

    @Override
    public IPage<TBQualityProblemApplyResult> detail(Page<Object> objectPage, Long serviceUnitId, Long supplierId) {
        return this.baseMapper.detail(objectPage, serviceUnitId, supplierId);
    }

    @Override
    public IPage<TBQualityProblemApplyResult> influence(Page<Object> tPage, Long serviceUnitId, Long supplierId, Long region_id, InfluenceDegreeEnum influenceDegree, QualityProblemReasonEnum reason) {
        return this.baseMapper.influenceDetail(tPage, serviceUnitId, supplierId,region_id, influenceDegree, reason);
    }
}
